Skip to content

upsertShippingMethod

WRITE

Upsert shipping method.

POST /api/v1/inventory/upsertShippingMethod
curl -X POST '<your-host>/api/v1/inventory/upsertShippingMethod' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "carrier": "UPS",
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
"UPS""FedEx""USPS""DHL""Other"
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1
    },
    "carrier": {
      "type": "string",
      "enum": [
        "UPS",
        "FedEx",
        "USPS",
        "DHL",
        "Other"
      ]
    },
    "carrierAccountId": {
      "type": "string"
    },
    "trackingUrl": {
      "type": "string"
    },
    "customFields": {},
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "name",
    "carrier",
    "_operation"
  ]
}